<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.modeler.mapping.ui" name="%pluginName" version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.modeler.mapping.ui.UiPlugin">

   <runtime>
      <library name="modelerMappingUi_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="modelerMappingUi.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.gef"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.draw2d"/>
      <import plugin="com.metamatrix.modeler.ui"/>
      <import plugin="com.metamatrix.metamodels.diagram"/>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="org.eclipse.emf.common"/>
      <import plugin="org.eclipse.emf.edit"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="org.eclipse.emf.ecore.xmi"/>
      <import plugin="com.metamatrix.modeler.diagram.ui"/>
      <import plugin="com.metamatrix.modeler.transformation.ui"/>
      <import plugin="org.eclipse.emf.edit.ui"/>
      <import plugin="com.metamatrix.modeler.mapping"/>
      <import plugin="com.metamatrix.query.ui"/>
      <import plugin="com.metamatrix.query"/>
      <import plugin="com.metamatrix.common"/>
      <import plugin="com.metamatrix.modeler.transformation"/>
      <import plugin="com.metamatrix.metamodels.xml"/>
      <import plugin="org.eclipse.xsd"/>
      <import plugin="com.metamatrix.modeler.xsd"/>
   </requires>


   <!-- Adding the Mapping Diagram Type extension-->
   <extension id="mappingDiagramType" name="%mappingDiagramType"
              point="com.metamatrix.modeler.diagram.ui.diagramType">
      <diagram class="com.metamatrix.modeler.mapping.ui.diagram.MappingDiagramType"
               simpleDiagram="false">
      </diagram>
   </extension>
   <!-- Adding the Mapping Diagram Type extension-->
   <extension id="mappingTransformationDiagramType" name="%mappingTransformationDiagramType"
              point="com.metamatrix.modeler.diagram.ui.diagramType">
      <diagram class="com.metamatrix.modeler.mapping.ui.diagram.MappingDiagramType"
               simpleDiagram="false">
      </diagram>
   </extension>
   <!-- Mapping Diagram Type Content And Label Providers -->
   <extension id="mappingDiagramContentProvider" name="Mapping Diagram Content Provider"
              point="com.metamatrix.modeler.ui.diagramContentProvider">
      <class name="com.metamatrix.modeler.mapping.ui.diagram.MappingDiagramContentProvider">
      </class>
      <diagramType name="mappingDiagramType">
      </diagramType>
   </extension>
   <extension id="mappingDiagramLabelProvider" name="Mapping Diagram LabelProvider"
              point="com.metamatrix.modeler.ui.diagramLabelProvider">
      <class name="com.metamatrix.modeler.mapping.ui.diagram.MappingDiagramLabelProvider">
      </class>
      <diagramType name="mappingDiagramType">
      </diagramType>
   </extension>
   <extension id="InputSetObjectEditorPage" name="Input Set Object Editor"
              point="com.metamatrix.modeler.ui.modelObjectEditorPage">
      <class name="com.metamatrix.modeler.mapping.ui.editor.InputSetObjectEditorPage">
      </class>
   </extension>
   <extension id="RecursionObjectEditorPage" name="Recursion Object Editor"
              point="com.metamatrix.modeler.ui.modelObjectEditorPage">
      <class name="com.metamatrix.modeler.mapping.ui.recursion.RecursionObjectEditorPage">
      </class>
   </extension>
   <!-- Mapping Diagram Type Permanent Model Object Action Contributor -->
   <extension id="mappingDiagramModelObjectActionContributor"
              point="com.metamatrix.modeler.ui.modelObjectActionContributor">
      <class name="com.metamatrix.modeler.mapping.ui.actions.MappingDiagramPermanentActionContributor">
      </class>
   </extension>
   <!-- Helper method to allow external edit for objects. i.e. Delete, Copy, etc.. -->
   <extension id="mappingObjectEditHelper" name="%mappingObjectEditHelper"
              point="com.metamatrix.modeler.ui.modelObjectEditHelper">
      <class name="com.metamatrix.modeler.mapping.ui.actions.MappingObjectEditHelper">
      </class>
   </extension>
   <extension point="com.metamatrix.ui.editorPreferences">
         <editorPreferenceComponent class="com.metamatrix.modeler.mapping.ui.preferences.XmlDocumentPreferencesComponent"/>
   </extension>   
   <!-- Helper method to allow external edit for objects. i.e. Delete, Copy, etc.. -->
   <extension id="mappingUiNewModelObjectHelper" name="%mappingUiNewModelObjectHelper"
              point="com.metamatrix.modeler.core.newModelObjectHelper">
      <class name="com.metamatrix.modeler.mapping.ui.util.MappingUiNewModelObjectHelper">
      </class>
   </extension>
</plugin>